Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1814612 - USB4 enablement in bolt
Summary: USB4 enablement in bolt
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: bolt
Version: 8.3
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Christian Kellner
QA Contact: Fendy Tjahjadi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-18 11:28 UTC by Christian Kellner
Modified: 2020-11-04 02:11 UTC (History)
5 users (show)

Fixed In Version: bolt-0.9-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-04 02:07:47 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2020:4577 0 None None None 2020-11-04 02:07:50 UTC
freedesktop.org Gitlab bolt/bolt/-/milestones/10 0 None None None 2020-03-18 11:28:38 UTC

Description Christian Kellner 2020-03-18 11:28:39 UTC
USB4 is the public specification of Thunderbolt 3 protocol. Besides the kernel level changes ([1]) it also needs bolt to authorize the PCIe tunnels, very much as Thunderbolt 3. It is expected that USB4 hardware is accompanied with an IOMMU based DMA protection which the existing bolt (version 0.8) already supports. But there are additional information, including whether a system is Thunderbolt 3 or USB4 (hardware generation), that needs to be exposed, which require a newer (yet unreleased) bolt. Especially the hardware generation information is important for user facing tools and software like GNOME Settings to properly communicate the hardware information (read: "USB4" strings instead of "Thunderbolt", which could otherwise be confusing). 

[1] https://lore.kernel.org/lkml/20191001113830.13028-1-mika.westerberg@linux.intel.com/

Comment 2 Christian Kellner 2020-06-15 20:30:21 UTC
Built bolt-0.9-1.el8 (https://brewweb.engineering.redhat.com/brew/buildinfo?buildID=1226118) for bolt 0.9.

Comment 8 errata-xmlrpc 2020-11-04 02:07:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (bolt bug fix and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2020:4577


Note You need to log in before you can comment on or make changes to this bug.